summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSam Hartman <hartmans@debian.org>2009-07-28 09:30:37 -0400
committerSteve Langasek <vorlon@debian.org>2019-01-08 19:41:59 -0800
commitcb493fdafc450e72da4b2aba1425ff8136eec5c7 (patch)
tree53f43c71cf0b6e6eee5d3cac657db831a29e2efc
parent4de9dd39a6728211e0b3d931e407dc1782ff6090 (diff)
parentf4c836a0a7917a2c41a20625263cf19912f8a399 (diff)
Merge Steve's pam-auth-update changes with my cve patch
-rw-r--r--debian/changelog3
-rw-r--r--debian/libpam-runtime.templates6
-rwxr-xr-xdebian/local/pam-auth-update6
-rw-r--r--debian/po/bg.po19
-rw-r--r--debian/po/cs.po19
-rw-r--r--debian/po/de.po19
-rw-r--r--debian/po/es.po19
-rw-r--r--debian/po/eu.po32
-rw-r--r--debian/po/fi.po19
-rw-r--r--debian/po/fr.po17
-rw-r--r--debian/po/gl.po19
-rw-r--r--debian/po/it.po17
-rw-r--r--debian/po/ja.po19
-rw-r--r--debian/po/nl.po17
-rw-r--r--debian/po/pt.po19
-rw-r--r--debian/po/pt_BR.po17
-rw-r--r--debian/po/ro.po19
-rw-r--r--debian/po/ru.po19
-rw-r--r--debian/po/sk.po19
-rw-r--r--debian/po/sv.po19
-rw-r--r--debian/po/templates.pot17
-rw-r--r--debian/po/tr.po17
-rw-r--r--debian/po/vi.po19
-rw-r--r--debian/po/zh_CN.po17
24 files changed, 385 insertions, 28 deletions
diff --git a/debian/changelog b/debian/changelog
index e425b3ae..c23b7650 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -7,6 +7,9 @@ pam (1.0.1-10) UNRELEASED; urgency=low
- German, thanks to Sven Joachim <svenjoac@gmx.de> (closes: #521530)
- Basque, thanks to Piarres Beobide <pi+debian@beobide.net>
(closes: #524285)
+ * When no profiles are chosen in pam-auth-update, throw an error message
+ and prompt again instead of letting the user end up with an insecure
+ system. This introduces a new debconf template. Closes: #519927.
[ Kees Cook ]
* Add debian/patches/pam_1.0.4_mindays: backport upstream 1.0.4 fixes
diff --git a/debian/libpam-runtime.templates b/debian/libpam-runtime.templates
index a5f879db..1195d9e5 100644
--- a/debian/libpam-runtime.templates
+++ b/debian/libpam-runtime.templates
@@ -35,3 +35,9 @@ _Description: Override local changes to /etc/pam.d/common-*?
decline this option, you will need to manage your system's
authentication configuration by hand.
+Template: libpam-runtime/no_profiles_chosen
+Type: error
+_Description: No PAM profiles have been selected.
+ No PAM profiles have been selected for use on this system. This would grant
+ all users access without authenticating, and is not allowed. Please select
+ at least one PAM profile from the available list.
diff --git a/debian/local/pam-auth-update b/debian/local/pam-auth-update
index 42690850..b059bf94 100755
--- a/debian/local/pam-auth-update
+++ b/debian/local/pam-auth-update
@@ -35,6 +35,7 @@ my $inputdir = '/usr/share/pam-configs';
my $template = 'libpam-runtime/profiles';
my $errtemplate = 'libpam-runtime/conflicts';
my $overridetemplate = 'libpam-runtime/override';
+my $blanktemplate = 'libpam-runtime/no_profiles_chosen';
my $confdir = '/etc/pam.d';
my $savedir = '/var/lib/pam';
my (%profiles, @sorted, @enabled, @conflicts, %removals);
@@ -193,7 +194,10 @@ do {
}
fset($template,'seen','false');
set($template, join(', ', @enabled));
-} while (@conflicts);
+ if (!@enabled) {
+ input('high',$blanktemplate);
+ }
+} while (@conflicts || !@enabled);
# the decision has been made about what configs to use, so even if
# something fails after this, we shouldn't go munging the default
diff --git a/debian/po/bg.po b/debian/po/bg.po
index 6208124b..1f12698f 100644
--- a/debian/po/bg.po
+++ b/debian/po/bg.po
@@ -7,7 +7,7 @@ msgid ""
msgstr ""
"Project-Id-Version: bg\n"
"Report-Msgid-Bugs-To: pam@packages.debian.org\n"
-"POT-Creation-Date: 2009-02-28 13:06-0800\n"
+"POT-Creation-Date: 2009-07-27 16:09+0200\n"
"PO-Revision-Date: 2009-03-04 22:54+0200\n"
"Last-Translator: Damyan Ivanov <dmn@debian.org>\n"
"Language-Team: Bulgarian <dict@fsa-bg.org>\n"
@@ -151,6 +151,23 @@ msgstr ""
#. Type: error
#. Description
+#: ../libpam-runtime.templates:4001
+#, fuzzy
+#| msgid "Incompatible PAM profiles selected."
+msgid "No PAM profiles have been selected."
+msgstr "Избрани са несъвместими PAM профили."
+
+#. Type: error
+#. Description
+#: ../libpam-runtime.templates:4001
+msgid ""
+"No PAM profiles have been selected for use on this system. This would grant "
+"all users access without authenticating, and is not allowed. Please select "
+"at least one PAM profile from the available list."
+msgstr ""
+
+#. Type: error
+#. Description
#: ../libpam-modules.templates:1001
msgid "xscreensaver and xlockmore must be restarted before upgrading"
msgstr "xscreensaver и xlockmore трябва да бъдат рестартирани"
diff --git a/debian/po/cs.po b/debian/po/cs.po
index 1ab97458..2679aa4e 100644
--- a/debian/po/cs.po
+++ b/debian/po/cs.po
@@ -7,7 +7,7 @@ msgid ""
msgstr ""
"Project-Id-Version: pam\n"
"Report-Msgid-Bugs-To: pam@packages.debian.org\n"
-"POT-Creation-Date: 2009-02-28 13:06-0800\n"
+"POT-Creation-Date: 2009-07-27 16:09+0200\n"
"PO-Revision-Date: 2009-03-09 19:58+0100\n"
"Last-Translator: Miroslav Kure <kurem@debian.cz>\n"
"Language-Team: Czech <debian-l10n-czech@lists.debian.org>\n"
@@ -152,6 +152,23 @@ msgstr ""
#. Type: error
#. Description
+#: ../libpam-runtime.templates:4001
+#, fuzzy
+#| msgid "Incompatible PAM profiles selected."
+msgid "No PAM profiles have been selected."
+msgstr "Vybrány nekompatibilní PAM profily."
+
+#. Type: error
+#. Description
+#: ../libpam-runtime.templates:4001
+msgid ""
+"No PAM profiles have been selected for use on this system. This would grant "
+"all users access without authenticating, and is not allowed. Please select "
+"at least one PAM profile from the available list."
+msgstr ""
+
+#. Type: error
+#. Description
#: ../libpam-modules.templates:1001
msgid "xscreensaver and xlockmore must be restarted before upgrading"
msgstr ""
diff --git a/debian/po/de.po b/debian/po/de.po
index 9708664d..5b3aa32b 100644
--- a/debian/po/de.po
+++ b/debian/po/de.po
@@ -7,7 +7,7 @@ msgid ""
msgstr ""
"Project-Id-Version: pam 1.0.1-9\n"
"Report-Msgid-Bugs-To: pam@packages.debian.org\n"
-"POT-Creation-Date: 2009-02-28 13:06-0800\n"
+"POT-Creation-Date: 2009-07-27 16:09+0200\n"
"PO-Revision-Date: 2009-03-25 20:51+0100\n"
"Last-Translator: Sven Joachim <svenjoac@gmx.de>\n"
"Language-Team: German <debian-l10n-german@lists.debian.org>\n"
@@ -158,6 +158,23 @@ msgstr ""
#. Type: error
#. Description
+#: ../libpam-runtime.templates:4001
+#, fuzzy
+#| msgid "Incompatible PAM profiles selected."
+msgid "No PAM profiles have been selected."
+msgstr "Inkompatible PAM-Profile ausgewählt."
+
+#. Type: error
+#. Description
+#: ../libpam-runtime.templates:4001
+msgid ""
+"No PAM profiles have been selected for use on this system. This would grant "
+"all users access without authenticating, and is not allowed. Please select "
+"at least one PAM profile from the available list."
+msgstr ""
+
+#. Type: error
+#. Description
#: ../libpam-modules.templates:1001
msgid "xscreensaver and xlockmore must be restarted before upgrading"
msgstr "Xscreensaver und xlockmore müssen vor dem Upgrade neu gestartet werden"
diff --git a/debian/po/es.po b/debian/po/es.po
index b8311048..f3f3a302 100644
--- a/debian/po/es.po
+++ b/debian/po/es.po
@@ -35,7 +35,7 @@ msgid ""
msgstr ""
"Project-Id-Version: pam 0.79-4\n"
"Report-Msgid-Bugs-To: pam@packages.debian.org\n"
-"POT-Creation-Date: 2009-02-28 13:06-0800\n"
+"POT-Creation-Date: 2009-07-27 16:09+0200\n"
"PO-Revision-Date: 2009-03-04 21:36+0100\n"
"Last-Translator: Javier Fernandez-Sanguino <jfs@debian.org>\n"
"Language-Team: Debian Spanish <debian-l10n-spanish@lists.debian.org>\n"
@@ -192,6 +192,23 @@ msgstr ""
#. Type: error
#. Description
+#: ../libpam-runtime.templates:4001
+#, fuzzy
+#| msgid "Incompatible PAM profiles selected."
+msgid "No PAM profiles have been selected."
+msgstr "Se han seleccionado perfiles PAM incompatibles."
+
+#. Type: error
+#. Description
+#: ../libpam-runtime.templates:4001
+msgid ""
+"No PAM profiles have been selected for use on this system. This would grant "
+"all users access without authenticating, and is not allowed. Please select "
+"at least one PAM profile from the available list."
+msgstr ""
+
+#. Type: error
+#. Description
#: ../libpam-modules.templates:1001
msgid "xscreensaver and xlockmore must be restarted before upgrading"
msgstr "Debe reiniciar xscreensaver y xlockmore antes de la actualización"
diff --git a/debian/po/eu.po b/debian/po/eu.po
index 9fd1369b..3506adc2 100644
--- a/debian/po/eu.po
+++ b/debian/po/eu.po
@@ -9,7 +9,7 @@ msgid ""
msgstr ""
"Project-Id-Version: pam_1.0.1-5_eu\n"
"Report-Msgid-Bugs-To: pam@packages.debian.org\n"
-"POT-Creation-Date: 2009-02-28 13:06-0800\n"
+"POT-Creation-Date: 2009-07-27 16:09+0200\n"
"PO-Revision-Date: 2009-01-02 12:30+0100\n"
"Last-Translator: Piarres Beobide <pi@beobide.net>\n"
"Language-Team: debian-eu <debian-l10n-eu@lists.debian.org>\n"
@@ -101,8 +101,9 @@ msgid ""
"sessions."
msgstr ""
"Autentifikazio modulu txertagarriak (PAM) ezartzen du zein autentifikazio, "
-"autorizazio eta psahitz aldaketa kudeatzen diren sisteman, baita erabiltzaile "
-"saioak hastekoan ekintza gehigarrien konfigurazioaren onarpena du."
+"autorizazio eta psahitz aldaketa kudeatzen diren sisteman, baita "
+"erabiltzaile saioak hastekoan ekintza gehigarrien konfigurazioaren onarpena "
+"du."
#. Type: multiselect
#. Description
@@ -153,10 +154,27 @@ msgid ""
"configuration by hand."
msgstr ""
"/etc/pam.d/common-{auth,account,password,session} fitxategietako bat edo "
-"gehiago lokalki eraldatua izan da. Mesedez zehaztu aldaketa horiek "
-"sistemak-hornitutako konfigurazioaz gainidatzi behar diren ala ez. Aukera "
-"hau baztertzea hautatzen baduzu sistemaren autentifikazio konfigurazioa "
-"eskuz kudeatu behar duzu."
+"gehiago lokalki eraldatua izan da. Mesedez zehaztu aldaketa horiek sistemak-"
+"hornitutako konfigurazioaz gainidatzi behar diren ala ez. Aukera hau "
+"baztertzea hautatzen baduzu sistemaren autentifikazio konfigurazioa eskuz "
+"kudeatu behar duzu."
+
+#. Type: error
+#. Description
+#: ../libpam-runtime.templates:4001
+#, fuzzy
+#| msgid "Incompatible PAM profiles selected."
+msgid "No PAM profiles have been selected."
+msgstr "PAM profil bateraezinak hautatuak."
+
+#. Type: error
+#. Description
+#: ../libpam-runtime.templates:4001
+msgid ""
+"No PAM profiles have been selected for use on this system. This would grant "
+"all users access without authenticating, and is not allowed. Please select "
+"at least one PAM profile from the available list."
+msgstr ""
#. Type: error
#. Description
diff --git a/debian/po/fi.po b/debian/po/fi.po
index 29a9c124..2a4bd8ed 100644
--- a/debian/po/fi.po
+++ b/debian/po/fi.po
@@ -2,7 +2,7 @@ msgid ""
msgstr ""
"Project-Id-Version: pam 0.99.7.1-4\n"
"Report-Msgid-Bugs-To: pam@packages.debian.org\n"
-"POT-Creation-Date: 2009-02-28 13:06-0800\n"
+"POT-Creation-Date: 2009-07-27 16:09+0200\n"
"PO-Revision-Date: 2009-03-22 19:57+0200\n"
"Last-Translator: Esko Arajärvi <edu@iki.fi>\n"
"Language-Team: Finnish <debian-l10n-finnish@lists.debian.org>\n"
@@ -155,6 +155,23 @@ msgstr ""
#. Type: error
#. Description
+#: ../libpam-runtime.templates:4001
+#, fuzzy
+#| msgid "Incompatible PAM profiles selected."
+msgid "No PAM profiles have been selected."
+msgstr "Epäyhteensopivia PAM-profiileita valittu"
+
+#. Type: error
+#. Description
+#: ../libpam-runtime.templates:4001
+msgid ""
+"No PAM profiles have been selected for use on this system. This would grant "
+"all users access without authenticating, and is not allowed. Please select "
+"at least one PAM profile from the available list."
+msgstr ""
+
+#. Type: error
+#. Description
#: ../libpam-modules.templates:1001
msgid "xscreensaver and xlockmore must be restarted before upgrading"
msgstr "xscreensaver ja xlockmore täytyy käynnistää uudelleen ennen päivitystä"
diff --git a/debian/po/fr.po b/debian/po/fr.po
index 260c9bf0..e11bb8d4 100644
--- a/debian/po/fr.po
+++ b/debian/po/fr.po
@@ -6,7 +6,7 @@ msgid ""
msgstr ""
"Project-Id-Version: pam\n"
"Report-Msgid-Bugs-To: pam@packages.debian.org\n"
-"POT-Creation-Date: 2009-02-28 13:06-0800\n"
+"POT-Creation-Date: 2009-07-27 16:09+0200\n"
"PO-Revision-Date: 2007-10-03 12:07+0200\n"
"Last-Translator: Cyril Brulebois <cyril.brulebois@enst-bretagne.fr>\n"
"Language-Team: French <debian-l10n-french@lists.debian.org>\n"
@@ -146,6 +146,21 @@ msgstr ""
#. Type: error
#. Description
+#: ../libpam-runtime.templates:4001
+msgid "No PAM profiles have been selected."
+msgstr ""
+
+#. Type: error
+#. Description
+#: ../libpam-runtime.templates:4001
+msgid ""
+"No PAM profiles have been selected for use on this system. This would grant "
+"all users access without authenticating, and is not allowed. Please select "
+"at least one PAM profile from the available list."
+msgstr ""
+
+#. Type: error
+#. Description
#: ../libpam-modules.templates:1001
msgid "xscreensaver and xlockmore must be restarted before upgrading"
msgstr ""
diff --git a/debian/po/gl.po b/debian/po/gl.po
index 55b4b238..9024db4c 100644
--- a/debian/po/gl.po
+++ b/debian/po/gl.po
@@ -7,7 +7,7 @@ msgid ""
msgstr ""
"Project-Id-Version: pam\n"
"Report-Msgid-Bugs-To: pam@packages.debian.org\n"
-"POT-Creation-Date: 2009-02-28 13:06-0800\n"
+"POT-Creation-Date: 2009-07-27 16:09+0200\n"
"PO-Revision-Date: 2009-03-12 21:43+0100\n"
"Last-Translator: Marce Villarino <mvillarino@users.sourceforge.net>\n"
"Language-Team: Galician <proxecto@trasno.net>\n"
@@ -156,6 +156,23 @@ msgstr ""
#. Type: error
#. Description
+#: ../libpam-runtime.templates:4001
+#, fuzzy
+#| msgid "Incompatible PAM profiles selected."
+msgid "No PAM profiles have been selected."
+msgstr "Escolléronse perfís de PAM incompatíbeis."
+
+#. Type: error
+#. Description
+#: ../libpam-runtime.templates:4001
+msgid ""
+"No PAM profiles have been selected for use on this system. This would grant "
+"all users access without authenticating, and is not allowed. Please select "
+"at least one PAM profile from the available list."
+msgstr ""
+
+#. Type: error
+#. Description
#: ../libpam-modules.templates:1001
msgid "xscreensaver and xlockmore must be restarted before upgrading"
msgstr "xscreensaver e xlockmore deben ser reiniciados antes da actualización"
diff --git a/debian/po/it.po b/debian/po/it.po
index 59b307f7..293c167a 100644
--- a/debian/po/it.po
+++ b/debian/po/it.po
@@ -7,7 +7,7 @@ msgid ""
msgstr ""
"Project-Id-Version: pam 0.99.7.1-5\n"
"Report-Msgid-Bugs-To: pam@packages.debian.org\n"
-"POT-Creation-Date: 2009-02-28 13:06-0800\n"
+"POT-Creation-Date: 2009-07-27 16:09+0200\n"
"PO-Revision-Date: 2009-01-01 02:41+0100\n"
"Last-Translator: David Paleino <d.paleino@gmail.com>\n"
"Language-Team: LANGUAGE <LL@li.org>\n"
@@ -143,6 +143,21 @@ msgstr ""
#. Type: error
#. Description
+#: ../libpam-runtime.templates:4001
+msgid "No PAM profiles have been selected."
+msgstr ""
+
+#. Type: error
+#. Description
+#: ../libpam-runtime.templates:4001
+msgid ""
+"No PAM profiles have been selected for use on this system. This would grant "
+"all users access without authenticating, and is not allowed. Please select "
+"at least one PAM profile from the available list."
+msgstr ""
+
+#. Type: error
+#. Description
#: ../libpam-modules.templates:1001
msgid "xscreensaver and xlockmore must be restarted before upgrading"
msgstr ""
diff --git a/debian/po/ja.po b/debian/po/ja.po
index f81d6fb5..30df4cd2 100644
--- a/debian/po/ja.po
+++ b/debian/po/ja.po
@@ -7,7 +7,7 @@ msgid ""
msgstr ""
"Project-Id-Version: pam 1.0.1-7\n"
"Report-Msgid-Bugs-To: pam@packages.debian.org\n"
-"POT-Creation-Date: 2009-02-28 13:06-0800\n"
+"POT-Creation-Date: 2009-07-27 16:09+0200\n"
"PO-Revision-Date: 2009-03-05 23:03+0900\n"
"Last-Translator: Kenshi Muto <kmuto@debian.org>\n"
"Language-Team: Japanese <debian-japanese@lists.debian.org>\n"
@@ -152,6 +152,23 @@ msgstr ""
#. Type: error
#. Description
+#: ../libpam-runtime.templates:4001
+#, fuzzy
+#| msgid "Incompatible PAM profiles selected."
+msgid "No PAM profiles have been selected."
+msgstr "矛盾する PAM プロファイルが選択されました。"
+
+#. Type: error
+#. Description
+#: ../libpam-runtime.templates:4001
+msgid ""
+"No PAM profiles have been selected for use on this system. This would grant "
+"all users access without authenticating, and is not allowed. Please select "
+"at least one PAM profile from the available list."
+msgstr ""
+
+#. Type: error
+#. Description
#: ../libpam-modules.templates:1001
msgid "xscreensaver and xlockmore must be restarted before upgrading"
msgstr "xscreensaver と xlockmore を更新前に再起動する必要があります"
diff --git a/debian/po/nl.po b/debian/po/nl.po
index 92530eca..085e1083 100644
--- a/debian/po/nl.po
+++ b/debian/po/nl.po
@@ -7,7 +7,7 @@ msgid ""
msgstr ""
"Project-Id-Version: pam\n"
"Report-Msgid-Bugs-To: pam@packages.debian.org\n"
-"POT-Creation-Date: 2009-02-28 13:06-0800\n"
+"POT-Creation-Date: 2009-07-27 16:09+0200\n"
"PO-Revision-Date: 2007-10-26 19:55+0100\n"
"Last-Translator: Bart Cornelis <cobaco@skolelinux.no>\n"
"Language-Team: debian-l10n-dutch <debian-l10n-dutch@lists.debian.org>\n"
@@ -145,6 +145,21 @@ msgstr ""
#. Type: error
#. Description
+#: ../libpam-runtime.templates:4001
+msgid "No PAM profiles have been selected."
+msgstr ""
+
+#. Type: error
+#. Description
+#: ../libpam-runtime.templates:4001
+msgid ""
+"No PAM profiles have been selected for use on this system. This would grant "
+"all users access without authenticating, and is not allowed. Please select "
+"at least one PAM profile from the available list."
+msgstr ""
+
+#. Type: error
+#. Description
#: ../libpam-modules.templates:1001
msgid "xscreensaver and xlockmore must be restarted before upgrading"
msgstr ""
diff --git a/debian/po/pt.po b/debian/po/pt.po
index ef9373b7..78146926 100644
--- a/debian/po/pt.po
+++ b/debian/po/pt.po
@@ -7,7 +7,7 @@ msgid ""
msgstr ""
"Project-Id-Version: pam 1.0.1-7\n"
"Report-Msgid-Bugs-To: pam@packages.debian.org\n"
-"POT-Creation-Date: 2009-02-28 13:06-0800\n"
+"POT-Creation-Date: 2009-07-27 16:09+0200\n"
"PO-Revision-Date: 2009-03-10 22:53+0000\n"
"Last-Translator: Américo Monteiro <a_monteiro@netcabo.pt>\n"
"Language-Team: Portuguese <traduz@debianpt.org>\n"
@@ -158,6 +158,23 @@ msgstr ""
#. Type: error
#. Description
+#: ../libpam-runtime.templates:4001
+#, fuzzy
+#| msgid "Incompatible PAM profiles selected."
+msgid "No PAM profiles have been selected."
+msgstr "Perfis PAM incompatíveis seleccionados."
+
+#. Type: error
+#. Description
+#: ../libpam-runtime.templates:4001
+msgid ""
+"No PAM profiles have been selected for use on this system. This would grant "
+"all users access without authenticating, and is not allowed. Please select "
+"at least one PAM profile from the available list."
+msgstr ""
+
+#. Type: error
+#. Description
#: ../libpam-modules.templates:1001
msgid "xscreensaver and xlockmore must be restarted before upgrading"
msgstr "xscreensaver e xlockmore têm que ser reiniciados antes da actualização"
diff --git a/debian/po/pt_BR.po b/debian/po/pt_BR.po
index d0507c97..f9c87be0 100644
--- a/debian/po/pt_BR.po
+++ b/debian/po/pt_BR.po
@@ -7,7 +7,7 @@ msgid ""
msgstr ""
"Project-Id-Version: pam_0.99.7.1-5\n"
"Report-Msgid-Bugs-To: pam@packages.debian.org\n"
-"POT-Creation-Date: 2009-02-28 13:06-0800\n"
+"POT-Creation-Date: 2009-07-27 16:09+0200\n"
"PO-Revision-Date: 2007-09-26 15:53-0300\n"
"Last-Translator: Eder L. Marques <frolic@debian-ce.org>\n"
"Language-Team: l10n Portuguese <debian-l10n-portuguese@lists.debian.org>\n"
@@ -146,6 +146,21 @@ msgstr ""
#. Type: error
#. Description
+#: ../libpam-runtime.templates:4001
+msgid "No PAM profiles have been selected."
+msgstr ""
+
+#. Type: error
+#. Description
+#: ../libpam-runtime.templates:4001
+msgid ""
+"No PAM profiles have been selected for use on this system. This would grant "
+"all users access without authenticating, and is not allowed. Please select "
+"at least one PAM profile from the available list."
+msgstr ""
+
+#. Type: error
+#. Description
#: ../libpam-modules.templates:1001
msgid "xscreensaver and xlockmore must be restarted before upgrading"
msgstr ""
diff --git a/debian/po/ro.po b/debian/po/ro.po
index 0bf43cb0..a863d953 100644
--- a/debian/po/ro.po
+++ b/debian/po/ro.po
@@ -9,7 +9,7 @@ msgid ""
msgstr ""
"Project-Id-Version: pam 1.0.1-7\n"
"Report-Msgid-Bugs-To: pam@packages.debian.org\n"
-"POT-Creation-Date: 2009-02-28 13:06-0800\n"
+"POT-Creation-Date: 2009-07-27 16:09+0200\n"
"PO-Revision-Date: 2009-03-12 01:49+0200\n"
"Last-Translator: Eddy Petrișor <eddy.petrisor@gmail.com>\n"
"Language-Team: Romanian <debian-l10n-romanian@lists.debian.org>\n"
@@ -161,6 +161,23 @@ msgstr ""
#. Type: error
#. Description
+#: ../libpam-runtime.templates:4001
+#, fuzzy
+#| msgid "Incompatible PAM profiles selected."
+msgid "No PAM profiles have been selected."
+msgstr "Selecție de profile PAM incompatibile."
+
+#. Type: error
+#. Description
+#: ../libpam-runtime.templates:4001
+msgid ""
+"No PAM profiles have been selected for use on this system. This would grant "
+"all users access without authenticating, and is not allowed. Please select "
+"at least one PAM profile from the available list."
+msgstr ""
+
+#. Type: error
+#. Description
#: ../libpam-modules.templates:1001
msgid "xscreensaver and xlockmore must be restarted before upgrading"
msgstr "xscreensaver și xlockmore trebuie repornite înainte de înnoire"
diff --git a/debian/po/ru.po b/debian/po/ru.po
index 745852ca..15bb7d8b 100644
--- a/debian/po/ru.po
+++ b/debian/po/ru.po
@@ -9,7 +9,7 @@ msgid ""
msgstr ""
"Project-Id-Version: pam 1.0.1-7\n"
"Report-Msgid-Bugs-To: pam@packages.debian.org\n"
-"POT-Creation-Date: 2009-02-28 13:06-0800\n"
+"POT-Creation-Date: 2009-07-27 16:09+0200\n"
"PO-Revision-Date: 2009-03-29 11:19+0400\n"
"Last-Translator: Yuri Kozlov <yuray@komyakino.ru>\n"
"Language-Team: Russian <debian-l10n-russian@lists.debian.org>\n"
@@ -157,6 +157,23 @@ msgstr ""
#. Type: error
#. Description
+#: ../libpam-runtime.templates:4001
+#, fuzzy
+#| msgid "Incompatible PAM profiles selected."
+msgid "No PAM profiles have been selected."
+msgstr "Выбраны несовместимые профили PAM."
+
+#. Type: error
+#. Description
+#: ../libpam-runtime.templates:4001
+msgid ""
+"No PAM profiles have been selected for use on this system. This would grant "
+"all users access without authenticating, and is not allowed. Please select "
+"at least one PAM profile from the available list."
+msgstr ""
+
+#. Type: error
+#. Description
#: ../libpam-modules.templates:1001
msgid "xscreensaver and xlockmore must be restarted before upgrading"
msgstr "Перед обновлением требуется перезапустить xscreensaver и xlockmore"
diff --git a/debian/po/sk.po b/debian/po/sk.po
index 3fe97547..24e38243 100644
--- a/debian/po/sk.po
+++ b/debian/po/sk.po
@@ -6,7 +6,7 @@ msgid ""
msgstr ""
"Project-Id-Version: pam\n"
"Report-Msgid-Bugs-To: pam@packages.debian.org\n"
-"POT-Creation-Date: 2009-02-28 13:06-0800\n"
+"POT-Creation-Date: 2009-07-27 16:09+0200\n"
"PO-Revision-Date: \n"
"Last-Translator: Ivan Masár <helix84@centrum.sk>\n"
"Language-Team: Slovak <sk-i18n@lists.linux.sk>\n"
@@ -152,6 +152,23 @@ msgstr ""
#. Type: error
#. Description
+#: ../libpam-runtime.templates:4001
+#, fuzzy
+#| msgid "Incompatible PAM profiles selected."
+msgid "No PAM profiles have been selected."
+msgstr "Boli vybrané nekompatibilné profily PAM."
+
+#. Type: error
+#. Description
+#: ../libpam-runtime.templates:4001
+msgid ""
+"No PAM profiles have been selected for use on this system. This would grant "
+"all users access without authenticating, and is not allowed. Please select "
+"at least one PAM profile from the available list."
+msgstr ""
+
+#. Type: error
+#. Description
#: ../libpam-modules.templates:1001
msgid "xscreensaver and xlockmore must be restarted before upgrading"
msgstr "Pred aktualizáciou je potrebné reštartovať xscreensaver a xlockmore"
diff --git a/debian/po/sv.po b/debian/po/sv.po
index fa9c2ed9..90f2fccd 100644
--- a/debian/po/sv.po
+++ b/debian/po/sv.po
@@ -7,7 +7,7 @@ msgid ""
msgstr ""
"Project-Id-Version: pam 0.99.7.1-5\n"
"Report-Msgid-Bugs-To: pam@packages.debian.org\n"
-"POT-Creation-Date: 2009-02-28 13:06-0800\n"
+"POT-Creation-Date: 2009-07-27 16:09+0200\n"
"PO-Revision-Date: 2009-03-05 13:51+0100\n"
"Last-Translator: Martin Bagge <brother@bsnet.se>\n"
"Language-Team: Swedish <debian-l10n-swedish@lists.debian.org>\n"
@@ -154,6 +154,23 @@ msgstr ""
#. Type: error
#. Description
+#: ../libpam-runtime.templates:4001
+#, fuzzy
+#| msgid "Incompatible PAM profiles selected."
+msgid "No PAM profiles have been selected."
+msgstr "Inkompatibla PAM-profiler har valdes."
+
+#. Type: error
+#. Description
+#: ../libpam-runtime.templates:4001
+msgid ""
+"No PAM profiles have been selected for use on this system. This would grant "
+"all users access without authenticating, and is not allowed. Please select "
+"at least one PAM profile from the available list."
+msgstr ""
+
+#. Type: error
+#. Description
#: ../libpam-modules.templates:1001
msgid "xscreensaver and xlockmore must be restarted before upgrading"
msgstr ""
diff --git a/debian/po/templates.pot b/debian/po/templates.pot
index 7256a047..07f76857 100644
--- a/debian/po/templates.pot
+++ b/debian/po/templates.pot
@@ -8,7 +8,7 @@ msgid ""
msgstr ""
"Project-Id-Version: PACKAGE VERSION\n"
"Report-Msgid-Bugs-To: pam@packages.debian.org\n"
-"POT-Creation-Date: 2009-02-28 13:06-0800\n"
+"POT-Creation-Date: 2009-07-27 16:09+0200\n"
"PO-Revision-Date: YEAR-MO-DA HO:MI+ZONE\n"
"Last-Translator: FULL NAME <EMAIL@ADDRESS>\n"
"Language-Team: LANGUAGE <LL@li.org>\n"
@@ -133,6 +133,21 @@ msgstr ""
#. Type: error
#. Description
+#: ../libpam-runtime.templates:4001
+msgid "No PAM profiles have been selected."
+msgstr ""
+
+#. Type: error
+#. Description
+#: ../libpam-runtime.templates:4001
+msgid ""
+"No PAM profiles have been selected for use on this system. This would grant "
+"all users access without authenticating, and is not allowed. Please select "
+"at least one PAM profile from the available list."
+msgstr ""
+
+#. Type: error
+#. Description
#: ../libpam-modules.templates:1001
msgid "xscreensaver and xlockmore must be restarted before upgrading"
msgstr ""
diff --git a/debian/po/tr.po b/debian/po/tr.po
index 5bc11b00..d432943a 100644
--- a/debian/po/tr.po
+++ b/debian/po/tr.po
@@ -7,7 +7,7 @@ msgid ""
msgstr ""
"Project-Id-Version: pam 0.99.7.1-5\n"
"Report-Msgid-Bugs-To: pam@packages.debian.org\n"
-"POT-Creation-Date: 2009-02-28 13:06-0800\n"
+"POT-Creation-Date: 2009-07-27 16:09+0200\n"
"PO-Revision-Date: 2009-01-01 19:20+0200\n"
"Last-Translator: Mert Dirik <mertdirik@gmail.com>\n"
"Language-Team: Debian L10n Turkish <debian-l10n-turkish@lists.debian.org>\n"
@@ -147,6 +147,21 @@ msgstr ""
#. Type: error
#. Description
+#: ../libpam-runtime.templates:4001
+msgid "No PAM profiles have been selected."
+msgstr ""
+
+#. Type: error
+#. Description
+#: ../libpam-runtime.templates:4001
+msgid ""
+"No PAM profiles have been selected for use on this system. This would grant "
+"all users access without authenticating, and is not allowed. Please select "
+"at least one PAM profile from the available list."
+msgstr ""
+
+#. Type: error
+#. Description
#: ../libpam-modules.templates:1001
msgid "xscreensaver and xlockmore must be restarted before upgrading"
msgstr ""
diff --git a/debian/po/vi.po b/debian/po/vi.po
index fbed9ea5..4cb85f2f 100644
--- a/debian/po/vi.po
+++ b/debian/po/vi.po
@@ -6,7 +6,7 @@ msgid ""
msgstr ""
"Project-Id-Version: pam 1.0.1-7\n"
"Report-Msgid-Bugs-To: pam@packages.debian.org\n"
-"POT-Creation-Date: 2009-02-28 13:06-0800\n"
+"POT-Creation-Date: 2009-07-27 16:09+0200\n"
"PO-Revision-Date: 2009-03-06 00:05+0930\n"
"Last-Translator: Clytie Siddall <clytie@riverland.net.au>\n"
"Language-Team: Vietnamese <vi-VN@googlegroups.com>\n"
@@ -155,6 +155,23 @@ msgstr ""
#. Type: error
#. Description
+#: ../libpam-runtime.templates:4001
+#, fuzzy
+#| msgid "Incompatible PAM profiles selected."
+msgid "No PAM profiles have been selected."
+msgstr "Bạn đã chọn một số hồ sơ PAM không tương thích với nhau."
+
+#. Type: error
+#. Description
+#: ../libpam-runtime.templates:4001
+msgid ""
+"No PAM profiles have been selected for use on this system. This would grant "
+"all users access without authenticating, and is not allowed. Please select "
+"at least one PAM profile from the available list."
+msgstr ""
+
+#. Type: error
+#. Description
#: ../libpam-modules.templates:1001
msgid "xscreensaver and xlockmore must be restarted before upgrading"
msgstr "xscreensaver và xlockmore phải được khởi chạy lại trước khi nâng cấp"
diff --git a/debian/po/zh_CN.po b/debian/po/zh_CN.po
index 9982b927..05726cce 100644
--- a/debian/po/zh_CN.po
+++ b/debian/po/zh_CN.po
@@ -12,7 +12,7 @@ msgid ""
msgstr ""
"Project-Id-Version: pam\n"
"Report-Msgid-Bugs-To: pam@packages.debian.org\n"
-"POT-Creation-Date: 2009-02-28 13:06-0800\n"
+"POT-Creation-Date: 2009-07-27 16:09+0200\n"
"PO-Revision-Date: 2009-01-01 12:30+0800\n"
"Last-Translator: Deng Xiyue <manphiz-guest@users.alioth.debian.org>\n"
"Language-Team: Debian Chinese [GB] <debian-chinese-gb@lists.debian.org>\n"
@@ -144,6 +144,21 @@ msgstr ""
#. Type: error
#. Description
+#: ../libpam-runtime.templates:4001
+msgid "No PAM profiles have been selected."
+msgstr ""
+
+#. Type: error
+#. Description
+#: ../libpam-runtime.templates:4001
+msgid ""
+"No PAM profiles have been selected for use on this system. This would grant "
+"all users access without authenticating, and is not allowed. Please select "
+"at least one PAM profile from the available list."
+msgstr ""
+
+#. Type: error
+#. Description
#: ../libpam-modules.templates:1001
msgid "xscreensaver and xlockmore must be restarted before upgrading"
msgstr "在升级前必须重新启动 xscreensaver 和 xlockmore"